local mod_name = '__ConnectionBox__'
local name = 'connection-box'
local icon = mod_name .. '/graphics/icons/'..name..'.png'

local entity = 
  {
    type = "electric-pole",
    name = name,
    icon = icon,
    icon_size = 32,
    flags = {"placeable-neutral", "player-creation", "fast-replaceable-no-build-while-moving"},
    minable = {hardness = 0.2, mining_time = 2, result = name},
    max_health = 100,
    corpse = "small-remnants",
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    drawing_box = {{-0.5, -0.5}, {0.5, 0.5}},
    maximum_wire_distance = 9.5,
    supply_area_distance = 1.5,
    vehicle_impact_sound =  { filename = "__base__/sound/car-wood-impact.ogg", volume = 1.0 },
    track_coverage_during_build_by_moving = false,
    fast_replaceable_group = "electric-pole",
    pictures =
    {
      filename = mod_name .. '/graphics/entity/'..name..'.png',
      priority = "extra-high",
      width = 32,
      height = 32,
      direction_count = 1,
      -- shift = {1.4, -1.1}
    },
    connection_points =
    {
      {
        wire =
        {
          copper = {0.1, -0.375},
          red =   {-0.325, 0},
          green = { 0.325, 0}
        },
        shadow =
        {
          copper = {2.7, 0},
          red = {2.3, 0},
          green = {3.1, 0}
        },
      }
    },
    radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/small-electric-pole/electric-pole-radius-visualization.png",
      width = 12,
      height = 12,
      priority = "extra-high-no-scale"
    }
  }
  
local item = 
  {
    type = "item",
    name = name,
    icon = icon,
    icon_size = 32,
    flags = {"goes-to-quickbar"},
    subgroup = "energy-pipe-distribution",
    order = "a[energy]-z",
    place_result = name,
    stack_size = 50
  }
  
local recipe = 
  {
    type = "recipe",
    name = name,
    ingredients =
    {
      {"concrete", 2},
      {"copper-cable", 2}
    },
    result = name,
    result_count = 10
  }
  
  
  
data:extend({entity, item, recipe})